org.apache.hc.client5.http.impl.classic

## Class FutureRequestExecutionMetrics

- java.lang.Object
- - org.apache.hc.client5.http.impl.classic.FutureRequestExecutionMetrics

    public final class FutureRequestExecutionMetrics
    extends Object

Collection of different counters used to gather metrics for `FutureRequestExecutionService`.

### Method Summary

Methods
`long` `getActiveConnectionCount()`
`long` `getFailedConnectionAverageDuration()`
`long` `getFailedConnectionCount()`
`long` `getRequestAverageDuration()`
`long` `getRequestCount()`
`long` `getScheduledConnectionCount()`
`long` `getSuccessfulConnectionAverageDuration()`
`long` `getSuccessfulConnectionCount()`
`long` `getTaskAverageDuration()`
`long` `getTaskCount()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getActiveConnectionCount

    public long getActiveConnectionCount()

#### getScheduledConnectionCount

    public long getScheduledConnectionCount()

#### getSuccessfulConnectionCount

    public long getSuccessfulConnectionCount()

#### getSuccessfulConnectionAverageDuration

    public long getSuccessfulConnectionAverageDuration()

#### getFailedConnectionCount

    public long getFailedConnectionCount()

#### getFailedConnectionAverageDuration

    public long getFailedConnectionAverageDuration()

#### getRequestCount

    public long getRequestCount()

#### getRequestAverageDuration

    public long getRequestAverageDuration()

#### getTaskCount

    public long getTaskCount()

#### getTaskAverageDuration

    public long getTaskAverageDuration()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`